#
# spec file for package ghc-board-games
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name board-games
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.0.6
Release:        8.30
Summary:        Three games for inclusion in a web server
License:        GPL-1.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-cgi-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-html-devel
BuildRequires:  ghc-httpd-shed-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-utility-ht-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
%endif

%description
Three games that might run as CGI script in a web server: Connect Four,
Rows&Columns, Mastermind

Check running versions at <http://www.henning-thielemann.de/VierGewinnt> and
<http://www.henning-thielemann.de/ZeilenSpalten>.

You can build an example web server by installing with

> cabal install board-games -fbuildExamples

Then start the server with

> ./dist/build/board-games/board-games

and play the games in your browser at the URL <http://localhost:8080/>.

Currently the games use German texts. I wanted to use gettext, but this is not
thread-safe.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.1.0.6 with cabal2obs.
